Subject: Re: compiling ncurses (WAS Re: less, misbehaving)
From: [email-masked] (Charles Wilson)

7 Oct 1998 17:57:37 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="------------40F7880B9514E4F11D6D816C"
To: [email-masked]
Cc: Geoffrey Noer <[email-masked]>, [email-masked]

This is a multi-part message in MIME format.
--------------40F7880B9514E4F11D6D816C
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Geoffrey Noer wrote:

> I'm seeing this problem as well with my latest pre-b20 build.  If
> anyone knows the solution, please let me know.  I would like to
> include ncurses/less in b20.
>

Larry Hall said: "Someone recently added an option
for bash of the form "@<file>" where <file> is the name of a file.  This
causes problems for a sed script that uses '@' as field separators."

He's right - "@" is the problem, but you can't use "/" as the separator in the
offending sed command, because the search/replace strings are pathnames and might
contain "/". I applied the attached patch and everything compiled fine. The patch
modifies line 5917 only, and changes some of the @'s in that line to %'s.

-               sed -e "s@\@LIBS_TO_MAKE\@@$cf_libs_to_make@" \
+               sed -e "s%\@LIBS_TO_MAKE\@%$cf_libs_to_make%" \

I ran the test programs, and it seemed okay when I ran bash -login from an NT
command window. However, in an rxvt window, the test programs ran without
crashing, but had minor display defects. I dunno - it's probably my font / env
var settings.

I haven't tried to build a new "less" against this ncurses, but I think consensus
is that my original "less misbehaving" problem was a bash version thing, and not
an ncurses thing.

--Chuck

--------------40F7880B9514E4F11D6D816C
Content-Type: text/plain; charset=us-ascii;
 name="ncurses-4.2-configure.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="ncurses-4.2-configure.patch"

--- configure	Tue Oct 06 23:19:54 1998
+++ configure	Wed Oct 07 00:06:11 1998
@@ -5914,7 +5914,7 @@
 			esac
 		fi
 
-		sed -e "s@\@LIBS_TO_MAKE\@@$cf_libs_to_make@" \
+		sed -e "s%\@LIBS_TO_MAKE\@%$cf_libs_to_make%" \
 			$cf_dir/Makefile >$cf_dir/Makefile.out
 		mv $cf_dir/Makefile.out $cf_dir/Makefile

--------------40F7880B9514E4F11D6D816C--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".